"use strict";
/* 
Теоретичні питання
1. Як можна визначити, яку саме клавішу клавіатури натиснув користувач?
2. Яка різниця між event.code() та event.key()?
3. Які три події клавіатури існує та яка між ними відмінність?


Теорія

1. Можна дізнатись завдяки об'єкту події використовуючи при цьому event.code() та event.key().
2. Різниця у тому що event.code() містить код клавіши тобто певне мізцерозташування , а event.key()те що відповідає певній рокладці.
3. keydown(коли користувач натиснув клавішу саме перше що може статись , окрім цього ми отримуємо клавішу яку натиснули),
   keypress (ця подія відбувається тоді коли натискається клавіша ,
    але не будь яка а саме текстова(а , б , в , г , 5 , 3 , 4) і не виникає для caps , або shift )
   keyup(відбувається коли користувач відпустив клавішу і вже тоді ми можемо виконати дію)
Практичне завдання.
Реалізувати функцію підсвічування клавіш.

Технічні вимоги:

- У файлі index.html лежить розмітка для кнопок.
- Кожна кнопка містить назву клавіші на клавіатурі
- Після натискання вказаних клавіш - та кнопка, на якій написана ця літера, повинна фарбуватися в синій колір. 
При цьому якщо якась інша літера вже раніше була пофарбована в синій колір - вона стає чорною. 
Наприклад за натисканням Enter перша кнопка забарвлюється у синій колір. 
Далі, користувач натискає S, і кнопка S забарвлюється в синій колір, а кнопка Enter знову стає чорною.
*/

// Завдання
let btn = document.getElementsByClassName("btn");

document.addEventListener("keyup", function (event) {
  let key = event.key.toLowerCase();
  console.log(key);

  for (let btnClr of btn) {
    if (btnClr.textContent.toLowerCase() === key) {
      btnClr.style.backgroundColor = "blue";
    } else {
      btnClr.style.backgroundColor = "black";
    }
  }
});
